summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2019-05-16 16:45:04 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2019-05-16 16:47:02 +0200
commit8cebce91305639b434378091468de5f208e8888b (patch)
treec5cfc75b381b6525aa55c6835cf47dc04d1e1668 /bin
parentcbabf6e21798562cc7d66bd42b608c80c0fee1ff (diff)
downloadptxdist-8cebce91305639b434378091468de5f208e8888b.tar.gz
ptxdist-8cebce91305639b434378091468de5f208e8888b.tar.xz
ptxdist: autoversion: the bottom layer decides the version
If different layers in a BSP use different PTXdist versions then the bottom layer decides which version to use. This can happen during version migration. It allows upper layers to automatically follow version changes of the lower layers. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist10
1 files changed, 7 insertions, 3 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index f52a668d3..ddcbef195 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -2474,10 +2474,14 @@ setup_auto_version()
;;
esac
- if [ ! -e "${PTXDIST_PTXCONFIG}" ]; then
+ file_dotconfig="${PTXDIST_PTXCONFIG}"
+ ptxd_normalize_config
+ if ! ptxd_get_path_filtered ${PTXDIST_LAYERS[@]/%//${relative_file_dotconfig}}; then
# no config yet, so this is either 'select' or fails later anyways
return
fi
+ # the bottom layer decides the version
+ PTXDIST_PTXCONFIG="${ptxd_reply[${#ptxd_reply[@]}-1]}"
_get_config_ptx
if check_version "${configfile_version}"; then
@@ -2765,8 +2769,6 @@ main() {
setup_parallel &&
- setup_auto_version &&
-
setup_platform &&
# --- platformdir and other *dirs are available from here ---
# --- all variables are defined now ---
@@ -2775,6 +2777,8 @@ main() {
setup_path &&
# --- path is now set ---
+ setup_auto_version &&
+
setup_export &&
# -- all important vars are exported